package com.hzya.frame.sys.product.dao.impl;


import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.product.dao.ISysProductMapper;
import com.hzya.frame.sys.product.entity.SysProduct;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description: 应用表  dao
 * @tableName: sys_app
 * @entityName: SysApp
 * @author: llg
 * @history:1.0
 */
@Service
public class SysProductMapperImpl extends MybatisGenericDao<SysProduct, String> implements ISysProductMapper {

    @Override
    public SysProduct entity_get(String id) {
        SysProduct o = (SysProduct) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    @Override
    public List<SysProduct> entity_list_base(SysProduct SysProduct) {

        List<SysProduct> o = super.query(getSqlIdPrifx() + "entity_list_base", SysProduct);
        return o;

    }

    @Override
    public Integer entity_list_base_count(SysProduct SysProduct) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_list_base_count", SysProduct);
        return o;

    }

    @Override
    public List<SysProduct> entity_list_like(SysProduct SysProduct) {

        List<SysProduct> o = super.query(getSqlIdPrifx() + "entity_list_like", SysProduct);
        return o;

    }

    @Override
    public List<SysProduct> entity_list_or(SysProduct SysProduct) {

        List<SysProduct> o = super.query(getSqlIdPrifx() + "entity_list_or", SysProduct);
        return o;

    }

    @Override
    public SysProduct entity_insert(SysProduct e) {
        e = super.save(getSqlIdPrifx() + "entity_insert", e);
        return e;

    }

    @Override
    public Integer entity_update(SysProduct SysProduct) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", SysProduct);
        return o;

    }

    @Override
    public Integer entity_delete(SysProduct SysProduct) {

        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", SysProduct);
        return o;

    }

    @Override
    public Integer logicDelete_Multi_Condition(SysProduct SysProduct) {

        Integer o = super.update(getSqlIdPrifx() + "logicDelete_Multi_Condition", SysProduct);
        return o;

    }
}
